# Enum Credibility

java.lang.Object
java.lang.Enum<Credibility>
uk.ac.starlink.ttools.task.Credibility

All Implemented Interfaces:
  `Serializable, Comparable<Credibility>, java.lang.constant.Constable`

public enum Credibility extends Enum<Credibility>
Defines the credibility of a value. It can be used to indicate how reliable the value is for its intended purpose.

Since:
  20 Sep 2017
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAYBE`
May be reliable.
`NO`
Probably or certainly unreliable.
`YES`
Probably or certainly reliable.

## Method Summary

Modifier and Type
Method
Description
`static Credibility`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Credibility[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### YES

public static final Credibility YES
Probably or certainly reliable.

### MAYBE

public static final Credibility MAYBE
May be reliable.

### NO

public static final Credibility NO
Probably or certainly unreliable.

## Method Details

### values

public static Credibility[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Credibility valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null